import RunBase from '../../base/run';
export default class DockerRun extends RunBase {
    static description: string;
    static examples: string[];
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    static flags: {
        json: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        watch: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    json: boolean;
    preInit(): Promise<void>;
    preRun(): Promise<void>;
    run(): Promise<void>;
}
